##
##  sablotron.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2008 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         sablotron
Summary:      XSLT, DOM and XPath processor
URL:          http://www.gingerall.org/sablotron.html
Vendor:       Ginger Alliance
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        PLUS
Group:        XML
License:      MPL 1.1
Version:      1.0.3
Release:      20080101

#   list of sources
Source0:      http://download-1.gingerall.cz/download/sablot/Sablot-%{version}.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20040130, make, gcc, gcc::with_cxx = yes, perl
PreReq:       OpenPKG, openpkg >= 20040130
BuildPreReq:  expat
PreReq:       expat
AutoReq:      no
AutoReqProv:  no

%description
    Sablotron is a XSLT, DOM and XPath processor. Sablotron is a fast,
    compact and portable XML toolkit implementing XSLT, DOM and XPath.
    Sablotron is an open project; other users and developers are
    encouraged to use it or to help us testing or improving it. The
    goal of this project is to create a lightweight, reliable and fast
    XML library processor conforming to the W3C specification, which is
    available for public and can be used as a base for multi-platform
    XML applications. Sablotron is written in C++ and we try to keep it
    as portable as possible.

%track
    prog sablotron = {
        version   = %{version}
        url       = http://www.gingerall.org/downloads.html
        regex     = Sablot-(\d+\.\d+(\.\d+)*)\.tar\.gz
    }

%prep
    %setup -q -n Sablot-%{version}

%build
    CC="%{l_cc}" \
    CXX="%{l_cxx}" \
    CFLAGS="%{l_cflags -O}" \
    CXXFLAGS="%{l_cxxflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    ./configure \
        --prefix=%{l_prefix} \
        --disable-shared
    %{l_make} %{l_mflags -O}

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_make} %{l_mflags} install \
        AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT" \
        BUILD_APIDOCS="no"
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

